# Automatic discounts (promotions)

**Promotions** is a built-in Ecwid feature that allows you to set up highly configurable discounts. Once set up, promotions are automatically applied to orders at the checkout upon meeting their conditions.&#x20;

Conditions for applying promotions include a variety of factors, such as the total order value, the number and categories of items in the order, or the customer's group. Promotions can apply to the order total, shipping costs, or even individual products in the cart.

### Add a new promotion to the store

As a developer, you only need to define conditions and settings for the promotion. Ecwid takes care of applying the promo at the checkout on any cart change event.

{% hint style="info" %}
If you don't yet have an app for Ecwid API access, start with the following [instructions](https://docs.ecwid.com/discounts-and-tips/add-discounts-to-the-store/spaces/uOzT5egoVTAjMJwRuMQT/pages/IhHAmacGKQdbD0Fe0IUw#step-2.-get-your-first-application).
{% endhint %}

Make sure your app has the `create_promotion` access scope required to create promotions.

Example request for creating a new promotion:

```http
POST /api/v3/STOREID/promotions HTTP/1.1
Host: app.ecwid.com
Content-Type: application/json
Authorization: Bearer secret_token

{
    "name": "10% OFF on $500",
    "discountBase": "SUBTOTAL",
    "enabled": true,
    "discountType": "PERCENT",
    "amount": 10,
    "triggers": {
        "subtotal": 500
    }
}
```

Change `STOREID` with your store ID and `secret_token` with the secret access token of your app to add a promotion to your store. The example request adds an automatic 10% discount if the order subtotal reaches $500.

### Customize promotions

Promotions offer several customization options, including custom trigger conditions, delayed start, discounts based on shipping method and for shipping costs, "buy X get Y" promos, and more:

<table data-view="cards"><thead><tr><th></th><th data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>Buy X - Get Y promos</strong></td><td><a href="/pages/CfDO8ETKRHFlTzM9wy2I">/pages/CfDO8ETKRHFlTzM9wy2I</a></td></tr><tr><td><strong>Engage customers</strong></td><td><a href="/pages/85sPR638VGxsmqFUhFLP">/pages/85sPR638VGxsmqFUhFLP</a></td></tr><tr><td><strong>Plan promotions</strong></td><td><a href="/pages/dtY8lQvTQ0MtlsAGlW10">/pages/dtY8lQvTQ0MtlsAGlW10</a></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ecwid.com/discounts-and-tips/add-discounts-to-the-store/automatic-discounts-promotions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
